Dwarfs F2P

Dwarfs F2P

View Stats:
Dwarfs F2P > General Discussions > Topic Details
Aaron Aug 16, 2013 @ 7:54pm
What is this?!
Today I was trying to play this game to unlock an weapon for Killing floor. So I looked at the requirements for mac in it says it works on Mac version 10.5.8 (What I have). I downloaded it and pressed play it and it says This app doesn't work with you're current mac version?! And in requirements it clearly says 10.5.8.
< >
Showing 1-2 of 2 comments
Aaron Aug 18, 2013 @ 2:13pm 
Um bump?
johnsoma Aug 18, 2013 @ 2:38pm 
I have 10.6.8 and I don't even get an error message, it just doesn't start. Obviously, I can't do much if I don't know the error, but know you're far from the only Mac user with problems. Go over to that crash thread at the top and help complain.
< >
Showing 1-2 of 2 comments
Per page: 15 30 50

Dwarfs F2P > General Discussions > Topic Details